> For the complete documentation index, see [llms.txt](https://docs.privado.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.privado.ai/getting-started-with-privado/understanding-privado-json/violations.md).

# Violations

A Violation is a privacy risk identified within the code that could potentially cause a data leak. They are also detected based on certain custom rules declared during the scan. To know more about the rules, [click here](/understanding-rules/understanding-rules.md).

A violation result consists of the following structure:

```json
"violations": [
    {
        "policyId" : "string",
          "policyDetails" : {
            "name" : "string",
            "policyType" : "string",
            "description" : "string",
            "fix" : "string",
            "tags" : {
                "key": "value"
            }
        }
    }
]
```

The parameters are explained below:

<table data-header-hidden><thead><tr><th></th><th></th></tr></thead><tbody><tr><td><strong>Field</strong></td><td><strong>Description</strong></td></tr><tr><td><code>policyId</code></td><td>ID of the policy which is violated</td></tr><tr><td><code>policyDetails</code></td><td>Object containing details about the violation</td></tr><tr><td><code>name</code></td><td>name of the violation which is detected</td></tr><tr><td><pre><code>policyType
</code></pre></td><td>Type of the policy which can be either threat or compliance</td></tr><tr><td><code>description</code></td><td>A brief description about the violation</td></tr><tr><td><code>fix</code></td><td>A detailed description of how to resolve the violation</td></tr><tr><td><code>tags</code></td><td>Key-value pairs to add more context to the violation</td></tr></tbody></table>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.privado.ai/getting-started-with-privado/understanding-privado-json/violations.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
